"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = require("react");

var _core = require("@emotion/core");

var _constants = require("../constants");

/** @jsx jsx */
var flexAlignItemsMap = {
  center: (0, _core.css)({
    alignItems: 'center'
  }),
  baseline: (0, _core.css)({
    alignItems: 'baseline'
  }),
  flexStart: (0, _core.css)({
    alignItems: 'flex-start'
  }),
  flexEnd: (0, _core.css)({
    alignItems: 'flex-end'
  })
};
var flexJustifyContentMap = {
  center: (0, _core.css)({
    justifyContent: 'center'
  }),
  flexStart: (0, _core.css)({
    justifyContent: 'flex-start'
  }),
  flexEnd: (0, _core.css)({
    justifyContent: 'flex-end'
  })
};
var baseStyles = (0, _core.css)({
  display: 'flex',
  boxSizing: 'border-box',
  flexDirection: 'column'
});
/**
 * __Stack__
 *
 * Stack is a primitive component based on flexbox that manages the vertical layout of direct children.
 * Renders a `div` by default.
 *
 */

var Stack = /*#__PURE__*/(0, _react.forwardRef)(function (_ref, ref) {
  var gap = _ref.gap,
      alignItems = _ref.alignItems,
      justifyContent = _ref.justifyContent,
      children = _ref.children,
      testId = _ref.testId;
  return (0, _core.jsx)("div", {
    css: [baseStyles, gap && gapMap[gap], alignItems && flexAlignItemsMap[alignItems], justifyContent && flexJustifyContentMap[justifyContent]],
    "data-testid": testId,
    ref: ref
  }, children);
});
var _default = Stack;
/**
 * THIS SECTION WAS CREATED VIA CODEGEN DO NOT MODIFY {@see http://go/af-codegen}
 * @codegen <<SignedSource::ac3192fbc453a94ab5e720d0273556ef>>
 * @codegenId spacing
 * @codegenCommand yarn codegen-styles
 * @codegenParams ["gap"]
 */

exports.default = _default;
var gapMap = {
  'sp-0': (0, _core.css)({
    gap: _constants.SPACING_SCALE['sp-0']
  }),
  'sp-25': (0, _core.css)({
    gap: _constants.SPACING_SCALE['sp-25']
  }),
  'sp-50': (0, _core.css)({
    gap: _constants.SPACING_SCALE['sp-50']
  }),
  'sp-75': (0, _core.css)({
    gap: _constants.SPACING_SCALE['sp-75']
  }),
  'sp-100': (0, _core.css)({
    gap: _constants.SPACING_SCALE['sp-100']
  }),
  'sp-200': (0, _core.css)({
    gap: _constants.SPACING_SCALE['sp-200']
  }),
  'sp-300': (0, _core.css)({
    gap: _constants.SPACING_SCALE['sp-300']
  }),
  'sp-400': (0, _core.css)({
    gap: _constants.SPACING_SCALE['sp-400']
  }),
  'sp-500': (0, _core.css)({
    gap: _constants.SPACING_SCALE['sp-500']
  }),
  'sp-600': (0, _core.css)({
    gap: _constants.SPACING_SCALE['sp-600']
  }),
  'sp-800': (0, _core.css)({
    gap: _constants.SPACING_SCALE['sp-800']
  })
};
/**
 * @codegenEnd
 */