"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _core = require("@emotion/core");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var fontFamily = "-apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen', 'Ubuntu', 'Fira Sans', 'Droid Sans', 'Helvetica Neue', sans-serif";
var fontSizeMap = {
  '11': (0, _core.css)({
    fontSize: '11px'
  }),
  '12': (0, _core.css)({
    fontSize: '12px'
  }),
  '14': (0, _core.css)({
    fontSize: '14px'
  })
};
// NOTE: can't use numbers as keys or Constellation won't build. Weird one.
var fontWeightMap = {
  '400': (0, _core.css)({
    fontWeight: 400
  }),
  '500': (0, _core.css)({
    fontWeight: 500
  })
};
var lineHeightMap = {
  '12px': (0, _core.css)({
    lineHeight: '12px'
  }),
  '16px': (0, _core.css)({
    lineHeight: '16px'
  }),
  '20px': (0, _core.css)({
    lineHeight: '20px'
  }),
  '24px': (0, _core.css)({
    lineHeight: '24px'
  }),
  '28px': (0, _core.css)({
    lineHeight: '28px'
  }),
  '32px': (0, _core.css)({
    lineHeight: '32px'
  }),
  '40px': (0, _core.css)({
    lineHeight: '40px'
  })
};
var textAlignMap = {
  center: (0, _core.css)({
    textAlign: 'center'
  }),
  end: (0, _core.css)({
    textAlign: 'end'
  }),
  start: (0, _core.css)({
    textAlign: 'start'
  })
};
var baseStyles = (0, _core.css)({
  fontFamily: fontFamily
});
/**
 * __Text__
 *
 * Text is a primitive component that has the Atlassian Design System's design guidelines baked in.
 * This includes considerations for text attributes such as color, font size, font weight, and line height.
 * It renders a `span` by default.
 *
 * @internal
 */

var Text = function Text(_ref) {
  var _ref$as = _ref.as,
      Component = _ref$as === void 0 ? 'span' : _ref$as,
      children = _ref.children,
      colorTuple = _ref.color,
      fontSize = _ref.fontSize,
      fontWeight = _ref.fontWeight,
      lineHeight = _ref.lineHeight,
      textAlign = _ref.textAlign,
      href = _ref.href,
      testId = _ref.testId,
      UNSAFE_style = _ref.UNSAFE_style;

  var _ref2 = colorTuple || [],
      _ref3 = (0, _slicedToArray2.default)(_ref2, 2),
      color = _ref3[0],
      fallback = _ref3[1];

  return (0, _core.jsx)(Component, {
    style: _objectSpread(_objectSpread({}, UNSAFE_style), fallback && {
      '--ds-co-fb': fallback
    }),
    css: [baseStyles, color && textColorMap[color], fontSize && fontSizeMap[fontSize], fontWeight && fontWeightMap[fontWeight], lineHeight && lineHeightMap[lineHeight], textAlign && textAlignMap[textAlign]],
    href: href,
    "data-testid": testId
  }, children);
};

var _default = Text;
/**
 * THIS SECTION WAS CREATED VIA CODEGEN DO NOT MODIFY {@see http://go/af-codegen}
 * @codegen <<SignedSource::85a0a0bc073c7af8fd63101d6c88d59e>>
 * @codegenId colors
 * @codegenCommand yarn codegen-styles
 * @codegenParams ["text"]
 */

exports.default = _default;
var textColorMap = {
  'color.text': (0, _core.css)({
    color: "var(--ds-text, var(--ds-co-fb))"
  }),
  subtle: (0, _core.css)({
    color: "var(--ds-text-subtle, var(--ds-co-fb))"
  }),
  subtlest: (0, _core.css)({
    color: "var(--ds-text-subtlest, var(--ds-co-fb))"
  }),
  disabled: (0, _core.css)({
    color: "var(--ds-text-disabled, var(--ds-co-fb))"
  }),
  inverse: (0, _core.css)({
    color: "var(--ds-text-inverse, var(--ds-co-fb))"
  }),
  brand: (0, _core.css)({
    color: "var(--ds-text-brand, var(--ds-co-fb))"
  }),
  selected: (0, _core.css)({
    color: "var(--ds-text-selected, var(--ds-co-fb))"
  }),
  danger: (0, _core.css)({
    color: "var(--ds-text-danger, var(--ds-co-fb))"
  }),
  warning: (0, _core.css)({
    color: "var(--ds-text-warning, var(--ds-co-fb))"
  }),
  'warning.inverse': (0, _core.css)({
    color: "var(--ds-text-warning-inverse, var(--ds-co-fb))"
  }),
  success: (0, _core.css)({
    color: "var(--ds-text-success, var(--ds-co-fb))"
  }),
  discovery: (0, _core.css)({
    color: "var(--ds-text-discovery, var(--ds-co-fb))"
  }),
  information: (0, _core.css)({
    color: "var(--ds-text-information, var(--ds-co-fb))"
  })
};
/**
 * @codegenEnd
 */